## org.flexdock.util
Class LookAndFeelSettings

    java.lang.Object
      org.flexdock.util.LookAndFeelSettings

    public class LookAndFeelSettings

extends java.lang.Object

Author:
  Christopher Butler

Field Summary
`static java.lang.String` `DOM_RESOURCE`
`static java.lang.String` `TAB_EDGE_INSET_KEY`
`static java.lang.String` `TAB_PANE_BORDER_INSETS`

Method Summary
`static int` `getTabEdgeInset(int tabPlacement)`
`static boolean` `isSkinLFSupported()`
`static void` `setTabEdgeInset(java.lang.String plafKey, int inset)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TAB_PANE_BORDER_INSETS

    public static final java.lang.String TAB_PANE_BORDER_INSETS

See Also:
  Constant Field Values

### DOM_RESOURCE

    public static final java.lang.String DOM_RESOURCE

See Also:
  Constant Field Values

### TAB_EDGE_INSET_KEY

    public static final java.lang.String TAB_EDGE_INSET_KEY

See Also:
  Constant Field Values

Method Detail

### isSkinLFSupported

    public static boolean isSkinLFSupported()

### getTabEdgeInset

    public static int getTabEdgeInset(int tabPlacement)

### setTabEdgeInset

    public static void setTabEdgeInset(java.lang.String plafKey,
                                       int inset)